Get case connectors
Base URL
https://{kibana_url}
GET
/api/cases/configure/connectors/_find
Auth
Get information about connectors that are supported for use in cases. You must have read privileges for the Actions and Connectors feature in the Management section of the Kibana feature privileges.
Expand all
200
Indicates a successful call.
application/json
<array> object [] · max items: 1000
actionTypeId
enum
The type of connector.
Values:
.cases-webhook
.jira
.none
.resilient
.servicenow
.servicenow-sir
.swimlane
config
object
+
Show 2 properties
referencedByCount
integer
401
Authorization information is missing or invalid.
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
GET kbn:/api/cases/configure/connectors/_find
Generated from the API spec
1
2
curl -X GET "${KIBANA_URL}/api/cases/configure/connectors/_find" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
[
{
"actionTypeId": ".jira",
"config": {
"apiUrl": "https://elastic.atlassian.net/",
"projectKey": "ES"
},
"id": "61787f53-4eee-4741-8df6-8fe84fa616f7",
"isDeprecated": false,
"isMissingSecrets": false,
"isPreconfigured": false,
"name": "my-Jira",
"referencedByCount": 0
}
]
1
2
3
4
5
{
"error": "Unauthorized",
"message": "Unable to authenticate with the provided credentials.",
"statusCode": 401
}